<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('cart_items', function (Blueprint $table) {
            $table->boolean('is_flash_sale')->default(false)->after('qty');
        });

        Schema::table('order_items', function (Blueprint $table) {
            $table->boolean('is_flash_sale')->default(false)->after('price');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('cart_items', function (Blueprint $table) {
            $table->dropColumn('is_flash_sale');
        });

        Schema::table('order_items', function (Blueprint $table) {
            $table->dropColumn('is_flash_sale');
        });
    }
};
